Skip to main content
GET
/
v2
/
api
Get Native Balance for an Address
curl --request GET \
  --url https://api.etherscan.io/v2/api
import requests

url = "https://api.etherscan.io/v2/api"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.etherscan.io/v2/api', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
   "status":"1",
   "message":"OK",
   "result":"172774397764084972158218"
}

Query Parameters

apikey
string
default:"YourApiKeyToken"
Your Etherscan API key.
chainid
string
default:"1"
Chain ID to query, eg 1 for Ethereum, 8453 for Base from our supported chains.
module
string
default:"account"
Set to account for this endpoint.
action
string
default:"balance"
Set to balance for this endpoint.
address
string
default:"0xde0b295669a9fd93d5f28d9ec85e40f4cb697bae"
The address to query, like 0xfefefefefefefefefefefefefefefefefefefefe. To query multiple addresses in a single call, use the Get Native Balance for Multiple Addresses endpoint.
tag
string
default:"latest"
Use latest for the last block number of the chain. Also accepts a specific block number in hex format, like 0x10d4f up to the last 128 blocks. For historical balances, use the Historical Balance endpoint.
{
   "status":"1",
   "message":"OK",
   "result":"172774397764084972158218"
}